Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.blueprint.container
Class SpringBlueprintConverter

    java.lang.Object
      org.eclipse.gemini.blueprint.blueprint.container.SpringBlueprintConverter

All Implemented Interfaces:
  Converter

    public class SpringBlueprintConverter

extends Object
implements Converter

Blueprint converter exposing the backing container conversion capabilities.

Author:
  Costin Leau

Constructor Summary
`SpringBlueprintConverter(ConfigurableBeanFactory beanFactory)`

Method Summary
`boolean` | `canConvert(Object source, ReifiedType targetType)` Return if this converter is able to convert the specified object to the specified type.
`Object` | `convert(Object source, ReifiedType targetType)` Convert the specified object to an instance of the specified type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringBlueprintConverter

    public SpringBlueprintConverter(ConfigurableBeanFactory beanFactory)

Method Detail

### canConvert

    public boolean canConvert(Object source,
                              ReifiedType targetType)

  Description copied from interface: `Converter`
  Return if this converter is able to convert the specified object to the specified type.

  Specified by:
    `canConvert` in interface `Converter`
  Parameters:
    `source` - The source object `s` to convert.
    `targetType` - The target type `T`.
  Returns:
    `true` if the conversion is possible, `false` otherwise.

### convert

    public Object convert(Object source,
                          ReifiedType targetType)
                   throws Exception

  Description copied from interface: `Converter`
  Convert the specified object to an instance of the specified type.

  Specified by:
    `convert` in interface `Converter`
  Parameters:
    `source` - The source object `s` to convert.
    `targetType` - The target type `T`.
  Returns:
    An instance with a type that is assignable from targetType's raw class
  Throws:
    `Exception` - If the conversion cannot succeed. This exception should not be thrown when the `canConvert` method has returned `true`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Spring Framework. All Rights Reserved.